@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@300&family=Raleway:wght@500&display=swap');

html{
    scroll-behavior: smooth;

}
html::-webkit-scrollbar{
    width: 20px;
    height: 10px;}
    html::-webkit-scrollbar-track{
    background:rgb(0, 0, 0);
    }
html::-webkit-scrollbar-thumb{
    background:#626262;
    }
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/* body{
    background: linear-gradient(90deg, #310000, #000654);
} */
.backgroundimage{
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    position: absolute;
    z-index: -1;
    position: fixed;
}
.longarrow{
    position: absolute;
    top: 97px;
    left: 30px;
    height: 40vw;
    width: 60px;
}
.cardscontainer{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    font-family: 'Raleway', sans-serif;
}
.topp{
    color: white;
    position: absolute;
    top: 0px;
}
.card1{
    width: 80vw;
    height: 40vw;
    /* box-shadow: 10px 10px 200px black; */
    backdrop-filter: blur(30px);
    border-radius: 16px;
    margin: 100px 0px 10px 140px;
    padding: 40px;
    overflow: hidden;
    
}
.hi{
    font-size: 42px;
    font-weight: 200;
    color: rgb(0, 0, 0);
}
.imagani{
    font-size: 92px;
    font-weight: bold;
    cursor: pointer;
    text-decoration: none;
    background: linear-gradient(90deg, #ff0000, #9c83ff);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}
.gd{
    font-size: 52px;
    font-weight: 200;   
    background: linear-gradient(90deg, #000000, #141414);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;

}
.contact{
    text-decoration: none;
    background: black;
    color: white;
    width: 300px;
    margin: 30px 0 10px 0;
    padding: 0px 0 18px 46px;
    border: 0;
    border-radius: 50px;
    font-size: 24px;
    text-align: left;
    cursor: pointer;
}
.contact:hover{
    background:linear-gradient(90deg, #ff0000, #9c83ff);
        transition: 0.6s ease;
}
.contacticon{
    width: 40px;
    position: relative;
    top: 12px;
    left: 26px;
}
.contacticon1{
    width: 40px;
    position: relative;
    top: 12px;
    left: 26px;
}
.features{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    overflow: hidden;
    gap: 10px;
    padding: 10px 0px 10px 10px;
    margin: 10px 0 0 0;

}
.featuresheader{
    color: rgb(0, 0, 0);
    font-size: 40px;
    cursor: pointer;
}
.featuresheader:hover{
    background: linear-gradient(90deg, #ff0000, #9c83ff);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    transition: 0.6s ease-out;
}
.card2{
    width: 80vw;
    height: auto;
    /* box-shadow: 10px 10px 200px black; */
    backdrop-filter: blur(70px);
    border-radius: 16px;
    margin: 20px 0px 20px 140px;
    padding: 40px;
    overflow: hidden;
    
}
.logos{
    font-size: 69px;
    margin: 0 0 16px 66px;
    color: rgb(0, 0, 0);
}
.gallery{
    width: 100%;
    padding: 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    overflow: hidden;
    margin: 0 0 0 50px;
}
.images{
    width: 30%;
}
.images:hover{
    scale: 1.04;
    transition: 0.4s ease;
}
.reach{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0 66px 0 66px; 
    margin: 0 0 20px 0;
}
.phone{
    text-decoration: none;
    border: none;
    background-color: #000000;
    color: rgb(255, 255, 255);
    font-family:"Century Gothic";
    font-weight: bold;
    width: 360px;
    margin: 30px 0 10px 0;
    padding: 6px 0 13px 46px;
    border: 0;
    border-radius: 50px;
    font-size: 24px;
    cursor: pointer;
}
.phone:hover{
    background-color: rgb(20, 20, 20);
    transition: 0.2s ease;
}
.phoneicon{
    width: 30px;
    position: relative;
    top: 7px;
    right: 40px;
}
.mailicon{
    width: 30px;
    position: relative;
    top: 7px;
    right: 40px;
}
.icons{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 360px;
    height: 56px;
    padding: 10px 36px 0px 36px;
    margin: 30px 0 0 0;
    background-color: #000000;
    border-radius: 100px;
}
.icons:hover{
    background-color: rgb(20, 20, 20);
    transition: 0.2s ease;
}
.redirecticons{
    width: 30px;
    position: relative;
    top: 2px;

}
.backtotop{
    text-decoration: none;
    color: black;
    font-weight: light;
    font-size: 14px;
    margin-left: 30vw;
    margin-top: 200px;
}

@media (max-width: 500px) {
    
    .card1{
        width: 94vw;
        height: auto;
        margin: 10px 10px 10px 10px;
        padding: 20px;
    }
    .longarrow{
        display: none;
    }
    .hi{
        font-size: 20px;
    }
    .imagani{
        font-size: 46px;
        margin: 6px 0 6px 0;
    }
    .gd{
        font-size: 26px;
    }
    .contact{
        width: 100%;
        height: auto;
        position: relative;
        right: 3px;
        font-size: 20px;
        padding: 10px 6px 10px 60px;
        margin: 20px 0 0px 0;
        text-align: left;
        }
    .contacticon{
        width: auto;
        height: 30px;
        margin: 36px 0 23px 0;
        position: relative;
        top: 9px;
        left: 40px;

    }
    .contacticon1{
        width: 20px;
        position: relative;
        top: 4px;
        left: 90px; 
    }
    .features{
        padding: 10px 0 10px 0;
    }
    .featuresheader{
        font-size: 20px;
    }
    .card2{
        width: 94vw;
        height: auto;
        margin: 4px 10px 10px 10px;
        padding: 20px;

    }
    .logos{
        font-size: 40px;
        margin: 0 0 15px 0;
    }
    .gallery{
        flex-direction: row;
        flex-wrap: nowrap;
        overflow-x: auto;
        gap: 12px;
        margin: 0;
        padding: 0;
    }
    .gallery::-webkit-scrollbar{
        width: 10px;
        height: 10px;}
    .gallery::-webkit-scrollbar-track{
        background:rgba(255, 255, 255, 0);
        border-radius: 100vw;}
    .gallery::-webkit-scrollbar-thumb{
        background:#000000;
        border-radius: 100vw;}
    .images{
        width: 100%;
        border-radius: 4px;
        margin: 0 0 20px 0;
    }
    .reach{
        flex-direction: column;
        padding: 0px;
    }
    .phone{
        width: 82vw;
        text-align: left;
        font-size: 20px;
        margin-top: 30px;
    }
    .phoneicon{
        width: 26px;
        position: relative;
        top: 7px;
        right: 30px;
    }
    .mailicon{
        width: 26px;
        position: relative;
        top: 7px;
        right: 20px;
    }
    .icons{
        width: 82vw;
        height: auto;
        margin: 30px 0 0 0;
        padding: 8px 26px 8px 26px;
    }
    .redirecticons{
        width: 30px;
    }
    .backtotop{
        margin-left: 26vw;
    }
}



